<template>
	<view class="wrap">
		<template v-for="(item, index) in tabList">
			<view class="work-stage-title">
				<view>
					<u-line style="border:5rpx solid #264DE9" length="33rpx" direction="col" color="#264DE9"
						:hair-line="false"></u-line>
				</view>
				<view class="title-label">{{ item.title }}</view>
			</view>
			<u-grid :border="false">
				<u-grid-item v-for="(baseListItem, baseListIndex) in item.list" :key="baseListIndex"
					@click="navTo(baseListItem.url)">
					<img :src="require(`@/static/custom/home/feed.png`)" alt="">
					<text class="grid-text">{{ baseListItem.name }}</text>
				</u-grid-item>
			</u-grid>
		</template>
	</view>
</template>
<script>
export default {
	data() {
		return {
			tabList: [
				{
					title: '生产管理',
					list: [
						{
							name: '报工',
							url: '/pages/product/report/index',
							icon: 'feeding'
						},
						{
							name: '取消报工',
							url: '/pages/product/cancelReport/index',
							icon: 'feeding'
						},
						{
							name: '接收（铜杆）',
							url: '/',
							icon: 'feeding'
						},
						{
							name: '车间订单下发',
							url: '/',
							icon: 'feeding'
						},
						{
							name: '车间取消下发',
							url: '/',
							icon: 'feeding'
						},
					]
				},
				{
					title: '发货管理',
					list: [
						{
							name: '移库',
							url: '/pages/wareHouse/moveWareHouse/index',
							icon: 'feeding'
						},
						{
							name: '盘点报告盘点',
							url: '/pages/wareHouse/inventory/index',
							icon: 'feeding'
						},
						{
							name: '核磅录入',
							url: '/pages/wareHouse/packing/registration',
							icon: 'feeding'
						},
						{
							name: '库存件盘点',
							url: '/pages/wareHouse/inventory/index',
							icon: 'feeding'
						},
						{
							name: '导体备货盘点',
							url: '/pages/wareHouse/inventory/index',
							icon: 'feeding'
						},
					]
				},
				{
					title: '仓库管理',
					list: [
						{
							name: '领料',
							url: '/pages/wareHouse/moveWareHouse/index',
							icon: 'feeding'
						},
						{
							name: '取消领料',
							url: '/pages/wareHouse/inventory/index',
							icon: 'feeding'
						},
					]
				}
			]
		};
	},
	onShow() {
		//this.refreshCount();
	},
	methods: {
		navTo(url) {
			console.log(url)
			uni.navigateTo({
				url: url
			});
		}
	}
};
</script>
<style lang="scss">
.wrap {
	height: calc(100vh - 200rpx);
	background: linear-gradient(to bottom, #e5f0ff, #f6f9ff);
	overflow-y: auto;
}

.work-stage-title {
	display: flex;
	flex-direction: row;
	align-items: center;
	margin-bottom: 38rpx;
	padding: 30rpx 30rpx;
	padding-bottom: 0;

	.title-label {
		margin-left: 14rpx;
		font-size: 34rpx;
		font-weight: bold;
		color: #283E65;
	}
}

.u-grid-item {
	background: transparent !important;
}
</style>